#!/bin/sh
#
# Script to backup/dump MySQL databases
#

#
# Drop DB run

# mysql -u root -p
# drop DATABASE wordp;
# CREATE DATABASE wordp;
# exit
#
# Import Dump
# mysql -f -uwordp -plocknLoad wordp < MySQL_DB_Dump_#0_wordp_VMValiant
#


# Source function library.
if [ -x /etc/rc.d/init.d/functions ]; then
. /etc/rc.d/init.d/functions
fi

#
# Get the "Day of Week" 
# This will mean that we will effectively 
# keep a weeks backup
#
SHORTDATE=`date +%a`

# Configure Backup settings
ARCHIVEDIR=/srv/backup/mysql
SVRNAME="VMValiant"
DBNAME[0]=wordp
DBUSER[0]=wordp
DBPASSWD[0]=<secret password>
DBNAME[1]=wordpdev
DBUSER[1]=wordp
DBPASSWD[1]=<secret password>
DBNAME[2]=wordpjosh
DBUSER[2]=wordp
DBPASSWD[2]=<secret password>

LOGFILE=$ARCHIVEDIR/daily_mysql_backup.log



##############################
#
# Begin main backup section
#
echo " " >> $LOGFILE
echo " " >> $LOGFILE
echo "Begining MySQL file and folder backup " `date` "..."
echo "Begining MySQL file and folder backup " `date` "..." >> $LOGFILE


# Cleanup backup dir
rm -Rf $ARCHIVEDIR
mkdir -p $ARCHIVEDIR

# Move to the dump directory
cd $ARCHIVEDIR
#
# Step through each DB and archive
#
for (( i = 0; i < ${#DBNAME[@]} ; i++))
do
   echo "Setting  ${BackupFolder[$i]}..."
   echo "Tar and Gzipping folder ${BackupFolder[$i]}..." >> $LOGFILE

   

   # Set the location and name of the dump file 
   ARCHIVE_NAME="$ARCHIVEDIR/""MySQL_DB_Dump_#${i}_${DBNAME[$i]}""_$SVRNAME"

   # Add to the log
   echo "Dumping MySQL DB ${DBNAME[$i]}" `date` "..." >> $LOGFILE

   # Dump the database  connecting as the user DBUSER
   echo "Dumping MySQL database to " $DUMP_NAME "..."
   echo "Dumping MySQL database to " $DUMP_NAME "..." >> $LOGFILE
   mysqldump -f -u${DBUSER[$i]} -p${DBPASSWD[$i]} ${DBNAME[$i]} > $ARCHIVE_NAME


   #
   # gzip the file
   # - the "-f" means overwrite file if it already exists
   #
   echo "Zipping up the dump..."
   echo "Zipping up the dump..." >> $LOGFILE
   gzip -f $ARCHIVE_NAME

done














